<!-- eslint-disable vue/no-v-html -->
<template>
  <div class="relative-position">
    <el-tiptap
      v-model="value.doc"
      :editor-properties="editorProperties"
      :placeholder="editorProperties.placeholder"
      :char-counter-count="false"
      :extensions="extensions"
      :show-menubar="false"
      :width="890"
    />

    <div class="title-area" />

    <div
      class="numbering"
      v-html="numbering"
    />

    <div
      class="text-center text-bold text-grey-8 q-pt-md"
      v-text="'Máximo de 30 linhas.'"
    />
  </div>
</template>

<script>
import { Doc, Paragraph, Text, Indent } from 'element-tiptap'

export default {
  name: 'EditorTiptap',
  props: {
    value: {
      type: Object,
      required: true
    }
  },
  data () {
    return {
      editorProperties: {
        placeholder: 'Clique para escrever sua redação...',
        autoFocus: true
      },
      extensions: [
        new Doc(),
        new Paragraph(),
        new Text(),
        new Indent()
      ]
    }
  },
  computed: {
    numbering () {
      let numbers = ''

      for (let i = 1; i <= 30; i++) {
        numbers += `<div>${i}.</div>`
      }

      return numbers
    }
  }
}
</script>

<style lang="sass">
.el-tiptap-editor > .el-tiptap-editor__content
  background-image: repeating-linear-gradient(#fff 0px, #fff 24px, #4682b4 25px)
  box-shadow: 0px 0px 5px 0px #888
  -webkit-background-size: 100% 32px
  -moz-background-size: 100% 32px
  -ms-background-size: 100% 32px
  background-size: 100% 32px
  padding: 32px 10px 20px 55px
  font-family: 'IndieFlower'
  border-radius: 5px
  min-height: 1015px
  line-height: 1.55
  font-size: 21px
</style>
